# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'contexto/version'

Gem::Specification.new do |spec|
  spec.name          = 'contexto'
  spec.version       = Contexto::VERSION
  spec.authors       = ['James Turnbull']
  spec.email         = ['james@lovedthanlost.net']
  spec.summary       = 'Shows you context for ECS services and containers.'
  spec.homepage      = 'https://github.com/EmpaticoOrg/contexto'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = %w(contexto)
  spec.require_paths = ['lib']

  spec.add_dependency 'aws-sdk', '~> 2'
  spec.add_dependency 'command_line_reporter'
  spec.add_dependency 'dotenv'
  spec.add_dependency 'highline'
  spec.add_dependency 'net-ssh-gateway'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'pry', '~> 0.10.4'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
end
